Bug 38043

Summary: Web Inspector: Profiler: A status item is required when record button is pressed.
Product: WebKit Reporter: Ilya Tikhonovsky <loislo>
Component: Web Inspector (Deprecated)Assignee: Mikhail Naganov <mnaganov>
Status: RESOLVED FIXED    
Severity: Normal CC: mnaganov, pfeldman, timothy, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
proposed patch pfeldman: review+

Description Ilya Tikhonovsky 2010-04-23 05:01:47 PDT
%SUBJ%
Comment 1 Mikhail Naganov 2010-04-30 04:49:11 PDT
Created attachment 54793 [details]
proposed patch
Comment 2 Pavel Feldman 2010-04-30 07:56:27 PDT
Comment on attachment 54793 [details]
proposed patch

WebCore/inspector/front-end/ProfilesPanel.js:328
 +              if (this._profiles[i].uid == profile.uid) {
=== ?
Comment 3 Mikhail Naganov 2010-05-04 03:04:44 PDT
Manually committed as http://trac.webkit.org/changeset/58745.

2010-05-04  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Display "Recording..." item when recording an user-initiated CPU profile.

        https://bugs.webkit.org/show_bug.cgi?id=38043

        * English.lproj/localizedStrings.js:
        * inspector/front-end/ProfilesPanel.js:
        (WebInspector.ProfilesPanel.prototype.addProfileHeader):
        (WebInspector.ProfilesPanel.prototype.removeProfileHeader):
        (WebInspector.ProfilesPanel.prototype.showProfile):
        * inspector/front-end/inspector.js:
        (WebInspector.setRecordingProfile):